> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue/totals

> Returns top level revenue stats for fixed date periods



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue/totals
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue/totals:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Insights
        - public
      summary: /report/insight/revenue/totals
      description: Returns top level revenue stats for fixed date periods
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: environment
          in: query
          description: App or web environment
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      yesterday:
                        type: number
                      yesterday_compare:
                        type: number
                      week_to_date:
                        type: number
                      week_to_date_compare:
                        type: number
                      month_to_date:
                        type: number
                      month_to_date_compare:
                        type: number
                      thirty_days:
                        type: number
                      thirty_days_compare:
                        type: number
                      last_week:
                        type: number
                      last_week_compare:
                        type: number
                      last_month:
                        type: number
                      last_month_compare:
                        type: number
                    required:
                      - yesterday
                      - yesterday_compare
                      - week_to_date
                      - week_to_date_compare
                      - month_to_date
                      - month_to_date_compare
                      - thirty_days
                      - thirty_days_compare
                      - last_week
                      - last_week_compare
                      - last_month
                      - last_month_compare
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  yesterday: 25792.122269478
                  yesterday_compare: 25413.466665326
                  week_to_date: 204629.599185989
                  week_to_date_compare: 200583.540887664
                  month_to_date: 592520.825958534
                  month_to_date_compare: 578164.243676551
                  thirty_days: 753751.94783636
                  thirty_days_compare: 759277.51640302
                  last_week: 204629.599185989
                  last_week_compare: 200583.540887664
                  last_month: 766977.356531357
                  last_month_compare: 910711.662441853
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````